aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-config-inifiles/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2013-02-14 13:03:30 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2013-02-14 13:04:15 +0000
commit08a4ecfccd66510880b98bc1b6a8ba41a67930e7 (patch)
tree2891658e10764eec80b1d27f80c3649ccf37b064 /testing/perl-config-inifiles/APKBUILD
parentbdcfb2592bb395a332cf7313d885b37dbe5a0c00 (diff)
downloadaports-08a4ecfccd66510880b98bc1b6a8ba41a67930e7.tar.gz
aports-08a4ecfccd66510880b98bc1b6a8ba41a67930e7.tar.bz2
aports-08a4ecfccd66510880b98bc1b6a8ba41a67930e7.tar.xz
testing/perl-config-inifiles: new aport
Diffstat (limited to 'testing/perl-config-inifiles/APKBUILD')
-rw-r--r--testing/perl-config-inifiles/APKBUILD36
1 files changed, 36 insertions, 0 deletions
diff --git a/testing/perl-config-inifiles/APKBUILD b/testing/perl-config-inifiles/APKBUILD
new file mode 100644
index 0000000000..3925ba5806
--- /dev/null
+++ b/testing/perl-config-inifiles/APKBUILD
@@ -0,0 +1,36 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
+pkgname=perl-config-inifiles
+_pkgreal=Config-IniFiles
+pkgver=2.78
+pkgrel=0
+pkgdesc="A module for reading .ini-style configuration files"
+url="http://search.cpan.org/~shlomif/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="perl-list-moreutils perl-pod-coverage perl-test-pod-coverage"
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/S/SH/SHLOMIF/${_pkgreal}-${pkgver}.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="9999dedf8776a31ec4d2926ba2ebc8f5 Config-IniFiles-2.78.tar.gz"